import { ChangeDetectorRef, OnInit } from '@angular/core';
import { CBPApplication, CBPApplicationsService } from '../cbp-applications-service';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
export declare class CBPApplicationsSearchComponent implements OnInit {
    applicationsService: CBPApplicationsService;
    private _cdr;
    isApplicationsExpanded: boolean;
    searchTokenControl: FormControl;
    searchResultsApplications: Observable<CBPApplication[]>;
    searchResults: CBPApplication[];
    constructor(applicationsService: CBPApplicationsService, _cdr: ChangeDetectorRef);
    ngOnInit(): void;
    private _search;
    stopPropogation($event: Event): void;
}
