import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { MatMenuTrigger } from '@angular/material';
import { CBPApplication, CBPApplicationsData, CBPApplicationsService } from '../cbp-applications-service';
import { CBPToolbarState } from '../../header/cbp-toolbar/cbp-toolbar-state';
export declare class CBPApplicationsMenuComponent implements OnInit, OnDestroy {
    _cdr: ChangeDetectorRef;
    applicationsService: CBPApplicationsService;
    private toolbarState;
    menuDataLoaded: boolean;
    applicationsDataLoading: boolean;
    isApplicationsExpanded: boolean;
    applicationsData?: CBPApplicationsData;
    private subscriptions;
    cbpMenuTrigger: MatMenuTrigger;
    error: any;
    constructor(_cdr: ChangeDetectorRef, applicationsService: CBPApplicationsService, toolbarState: CBPToolbarState);
    readonly toolbarIsExpanded: boolean;
    ngOnInit(): void;
    removeFromRecent(app: CBPApplication, $event: any): void;
    ngOnDestroy(): void;
    reloadApplicationsData($event: Event): void;
    getApplicationsDirectoryUrl(): string;
    toggleApplicationsMenu($event: Event): void;
    stopPropogation($event: Event): void;
}
