import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MediaObserver } from '@angular/flex-layout';
import { CBPToolbarState } from './cbp-toolbar-state';
export declare class CBPToolbarComponent implements OnInit, OnDestroy {
    private mediaObserver;
    private _cdr;
    cbpToolbarScrollState: 'up' | 'initial';
    private _subscription;
    position: number;
    role: string;
    toolbarState: CBPToolbarState;
    hideToolbarItem: EventEmitter<any>;
    isToolbarExpanded: boolean;
    hasToolbarMenu: boolean;
    constructor(mediaObserver: MediaObserver, _cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    scrolled($event: any): void;
    getToolbarExpansionPanelTop(): string;
}
