import { Observable } from 'rxjs';
import { CBPUserService } from '../user/user';
import { CBPApplication, CBPApplicationsData, CBPApplicationsService } from '../applications/cbp-applications-service';
export declare class MockApplicationsService extends CBPApplicationsService {
    private userService;
    private subject;
    private loaded;
    private data;
    constructor(userService: CBPUserService);
    getApplicationsData(): Observable<CBPApplicationsData>;
    refresh(): Observable<boolean>;
    search(token: string): CBPApplication[];
    removeRecentApplication(recentApplication: CBPApplication): Observable<boolean>;
    private _removeAppFromArray;
    private _getMockHttpData;
    private _load;
    /**
     * Fakeology - it does not even use user object
     * @param CBPUser user
     * @param CBPApplicationsData data
     * @returns CBPApplicationsData
     */
    private _applyUserToApplications;
    private _randomIndex;
    private _getFavoritesFromUserPreferences;
}
